#!/usr/bin/perl

#use strict;
#use warnings;
use File::Path;
use File::Copy;

require 'common.pm';

my $DIR = ($0=~/(.*)[\/\\].*/,$1);

print "reading new files...\n";
opendir(FDIR, $REMOTE_PATH) or die "error dir '$REMOTE_PATH'";
M1:
while( my $name = readdir FDIR)
{
    if( $name =~ /\.csv$/ )
    {
	mkpath("$SOURCE_PATH" ); 
	my $log_name = "$SOURCE_PATH/$name";
	if (  -e "$log_name" )
	{
	    print "file '$log_name' already created. skipping\n";
	    next M1;
	}							

	my $file_remote_path = "$REMOTE_PATH/$name";

	print "=> Saving '$file_remote_path' to '$log_name'...\n";
	copy( $file_remote_path, $log_name );	    
	print "converting daily log '$log_name'...\n";
	if ( system( "$^X $DIR/convert_log.pl $log_name" ) )
	{
	    print "FAILED: $? : $!\n";
	}
	else
	{
	    print "OK\n";
	}
    }
}

closedir FDIR;


print "getting logs Finished\n";